Get KYC By ID
curl --request GET \
--url https://api.sandbox.wepayout.com.br/v1/kyc/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.wepayout.com.br/v1/kyc/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.wepayout.com.br/v1/kyc/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.wepayout.com.br/v1/kyc/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.wepayout.com.br/v1/kyc/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.wepayout.com.br/v1/kyc/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.wepayout.com.br/v1/kyc/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 348,
"origin_request": "PAYOUT",
"description": " Compliance approved KYC without document upload",
"info_add": null,
"created_at": "2022-06-14 17:15:41",
"updated_at": "2023-10-03 16:01:28",
"merchant": "Merchant Name",
"submerchant": null,
"status": {
"id": 3,
"name": "Approved"
},
"reason": {
"id": 17,
"name": "Payout: Limit BRL 100K Usual"
},
"persons": [
{
"id": 390,
"name": "Person name",
"legal_name": null,
"document": "83562580061",
"type_person": "Beneficiary"
}
],
"document_required": [
{
"status": true,
"label": "Document proving the origin and destination of the operation"
},
{
"status": true,
"label": "Proof of residence"
},
{
"status": true,
"label": "Personal document"
},
{
"status": true,
"label": "Beneficiary Full Name"
},
{
"status": true,
"label": "Email"
},
{
"status": true,
"label": "Phone"
},
{
"status": true,
"label": "Nationality"
},
{
"status": true,
"label": "Profession (Occupation)"
}
],
"documents": [
{
"id": 652,
"status_id": 3,
"status_name": "Approved",
"document_id": 1,
"document_name": "invoice",
"collection_name": null,
"collection_id": null,
"value_field": "https://bucket-name.s3.us-east-1.amazonaws.com/path/to/file",
"rejection_reason": null,
"label": "Document proving the origin and destination of the operation",
"type_field": "file",
"required_field": true,
"expires_at": null,
"automaticatic_validation": 0
},
{
"id": 653,
"status_id": 3,
"status_name": "Approved",
"document_id": 2,
"document_name": "address",
"collection_name": null,
"collection_id": null,
"value_field": "https://bucket-name.s3.us-east-1.amazonaws.com/path/to/file",
"rejection_reason": null,
"label": "Proof of residence",
"type_field": "file",
"required_field": true,
"expires_at": null,
"automaticatic_validation": 0
},
{
"id": 654,
"status_id": 3,
"status_name": "Approved",
"document_id": 3,
"document_name": "personal-document",
"collection_name": null,
"collection_id": null,
"value_field": "https://bucket-name.s3.us-east-1.amazonaws.com/path/to/file",
"rejection_reason": null,
"label": "Personal document",
"type_field": "file",
"required_field": true,
"expires_at": null,
"automaticatic_validation": 0
},
{
"id": 655,
"status_id": 3,
"status_name": "Approved",
"document_id": 5,
"document_name": "full-name-beneficiary",
"collection_name": null,
"collection_id": null,
"value_field": null,
"rejection_reason": null,
"label": "Beneficiary Full Name",
"type_field": "text",
"required_field": true,
"expires_at": null,
"automaticatic_validation": 0
},
{
"id": 656,
"status_id": 3,
"status_name": "Approved",
"document_id": 7,
"document_name": "email",
"collection_name": null,
"collection_id": null,
"value_field": null,
"rejection_reason": null,
"label": "Email",
"type_field": "text",
"required_field": true,
"expires_at": null,
"automaticatic_validation": 0
},
{
"id": 657,
"status_id": 3,
"status_name": "Approved",
"document_id": 8,
"document_name": "phone",
"collection_name": null,
"collection_id": null,
"value_field": null,
"rejection_reason": null,
"label": "Phone",
"type_field": "text",
"required_field": true,
"expires_at": null,
"automaticatic_validation": 0
},
{
"id": 658,
"status_id": 3,
"status_name": "Approved",
"document_id": 11,
"document_name": "nationality",
"collection_name": null,
"collection_id": null,
"value_field": null,
"rejection_reason": null,
"label": "Nationality",
"type_field": "text",
"required_field": true,
"expires_at": null,
"automaticatic_validation": 0
},
{
"id": 659,
"status_id": 3,
"status_name": "Approved",
"document_id": 9,
"document_name": "profession",
"collection_name": null,
"collection_id": null,
"value_field": null,
"rejection_reason": null,
"label": "Profession (Occupation)",
"type_field": "text",
"required_field": true,
"expires_at": null,
"automaticatic_validation": 0
}
]
}
{
"error": "KYC not found",
"message": "No KYC record found with the provided ID"
}
KYC
Get KYC By ID
This route is performed using the KYC ID. If a KYC with the provided ID exists, it will be retrieved; otherwise, an empty response will be returned.
GET
/
v1
/
kyc
/
{id}
Get KYC By ID
curl --request GET \
--url https://api.sandbox.wepayout.com.br/v1/kyc/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.wepayout.com.br/v1/kyc/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.wepayout.com.br/v1/kyc/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.wepayout.com.br/v1/kyc/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.wepayout.com.br/v1/kyc/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.wepayout.com.br/v1/kyc/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.wepayout.com.br/v1/kyc/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 348,
"origin_request": "PAYOUT",
"description": " Compliance approved KYC without document upload",
"info_add": null,
"created_at": "2022-06-14 17:15:41",
"updated_at": "2023-10-03 16:01:28",
"merchant": "Merchant Name",
"submerchant": null,
"status": {
"id": 3,
"name": "Approved"
},
"reason": {
"id": 17,
"name": "Payout: Limit BRL 100K Usual"
},
"persons": [
{
"id": 390,
"name": "Person name",
"legal_name": null,
"document": "83562580061",
"type_person": "Beneficiary"
}
],
"document_required": [
{
"status": true,
"label": "Document proving the origin and destination of the operation"
},
{
"status": true,
"label": "Proof of residence"
},
{
"status": true,
"label": "Personal document"
},
{
"status": true,
"label": "Beneficiary Full Name"
},
{
"status": true,
"label": "Email"
},
{
"status": true,
"label": "Phone"
},
{
"status": true,
"label": "Nationality"
},
{
"status": true,
"label": "Profession (Occupation)"
}
],
"documents": [
{
"id": 652,
"status_id": 3,
"status_name": "Approved",
"document_id": 1,
"document_name": "invoice",
"collection_name": null,
"collection_id": null,
"value_field": "https://bucket-name.s3.us-east-1.amazonaws.com/path/to/file",
"rejection_reason": null,
"label": "Document proving the origin and destination of the operation",
"type_field": "file",
"required_field": true,
"expires_at": null,
"automaticatic_validation": 0
},
{
"id": 653,
"status_id": 3,
"status_name": "Approved",
"document_id": 2,
"document_name": "address",
"collection_name": null,
"collection_id": null,
"value_field": "https://bucket-name.s3.us-east-1.amazonaws.com/path/to/file",
"rejection_reason": null,
"label": "Proof of residence",
"type_field": "file",
"required_field": true,
"expires_at": null,
"automaticatic_validation": 0
},
{
"id": 654,
"status_id": 3,
"status_name": "Approved",
"document_id": 3,
"document_name": "personal-document",
"collection_name": null,
"collection_id": null,
"value_field": "https://bucket-name.s3.us-east-1.amazonaws.com/path/to/file",
"rejection_reason": null,
"label": "Personal document",
"type_field": "file",
"required_field": true,
"expires_at": null,
"automaticatic_validation": 0
},
{
"id": 655,
"status_id": 3,
"status_name": "Approved",
"document_id": 5,
"document_name": "full-name-beneficiary",
"collection_name": null,
"collection_id": null,
"value_field": null,
"rejection_reason": null,
"label": "Beneficiary Full Name",
"type_field": "text",
"required_field": true,
"expires_at": null,
"automaticatic_validation": 0
},
{
"id": 656,
"status_id": 3,
"status_name": "Approved",
"document_id": 7,
"document_name": "email",
"collection_name": null,
"collection_id": null,
"value_field": null,
"rejection_reason": null,
"label": "Email",
"type_field": "text",
"required_field": true,
"expires_at": null,
"automaticatic_validation": 0
},
{
"id": 657,
"status_id": 3,
"status_name": "Approved",
"document_id": 8,
"document_name": "phone",
"collection_name": null,
"collection_id": null,
"value_field": null,
"rejection_reason": null,
"label": "Phone",
"type_field": "text",
"required_field": true,
"expires_at": null,
"automaticatic_validation": 0
},
{
"id": 658,
"status_id": 3,
"status_name": "Approved",
"document_id": 11,
"document_name": "nationality",
"collection_name": null,
"collection_id": null,
"value_field": null,
"rejection_reason": null,
"label": "Nationality",
"type_field": "text",
"required_field": true,
"expires_at": null,
"automaticatic_validation": 0
},
{
"id": 659,
"status_id": 3,
"status_name": "Approved",
"document_id": 9,
"document_name": "profession",
"collection_name": null,
"collection_id": null,
"value_field": null,
"rejection_reason": null,
"label": "Profession (Occupation)",
"type_field": "text",
"required_field": true,
"expires_at": null,
"automaticatic_validation": 0
}
]
}
{
"error": "KYC not found",
"message": "No KYC record found with the provided ID"
}
Get KYC By ID
This route is performed using the KYC ID. If a KYC with the provided ID exists, it will be retrieved; otherwise, an empty response will be returned.Path Parameters
Response
Identifier or reference of the original request that triggered this KYC process.Example:
PAYIN or PAYOUTList of uploaded documents related to the KYC.
Show Document Object
Show Document Object
Request Example
curl --request GET \
--url '"https://api.sandbox.wepayout.com.br/v1/kyc/{id}"' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer 123'
async function getKYCById(kycId) {
const response = await fetch(
`https://api.sandbox.wepayout.com.br/v1/kyc/${kycId}`,
{
method: 'GET',
headers: {
'Accept': 'application/json',
'Authorization': 'Bearer 123'
}
}
);
if (!response.ok) {
throw new Error(`Failed to fetch KYC: ${response.statusText}`);
}
return await response.json();
}
// Usage
const kyc = await getKYCById(123);
console.log('KYC details:', kyc);
import requests
def get_kyc_by_id(kyc_id):
url = f'https://api.sandbox.wepayout.com.br/v1/kyc/{kyc_id}'
headers = {
'Accept': 'application/json',
'Authorization': 'Bearer 123'
}
response = requests.get(url, headers=headers)
response.raise_for_status()
return response.json()
# Usage
kyc = get_kyc_by_id(123)
print('KYC details:', kyc)
{
"id": 348,
"origin_request": "PAYOUT",
"description": " Compliance approved KYC without document upload",
"info_add": null,
"created_at": "2022-06-14 17:15:41",
"updated_at": "2023-10-03 16:01:28",
"merchant": "Merchant Name",
"submerchant": null,
"status": {
"id": 3,
"name": "Approved"
},
"reason": {
"id": 17,
"name": "Payout: Limit BRL 100K Usual"
},
"persons": [
{
"id": 390,
"name": "Person name",
"legal_name": null,
"document": "83562580061",
"type_person": "Beneficiary"
}
],
"document_required": [
{
"status": true,
"label": "Document proving the origin and destination of the operation"
},
{
"status": true,
"label": "Proof of residence"
},
{
"status": true,
"label": "Personal document"
},
{
"status": true,
"label": "Beneficiary Full Name"
},
{
"status": true,
"label": "Email"
},
{
"status": true,
"label": "Phone"
},
{
"status": true,
"label": "Nationality"
},
{
"status": true,
"label": "Profession (Occupation)"
}
],
"documents": [
{
"id": 652,
"status_id": 3,
"status_name": "Approved",
"document_id": 1,
"document_name": "invoice",
"collection_name": null,
"collection_id": null,
"value_field": "https://bucket-name.s3.us-east-1.amazonaws.com/path/to/file",
"rejection_reason": null,
"label": "Document proving the origin and destination of the operation",
"type_field": "file",
"required_field": true,
"expires_at": null,
"automaticatic_validation": 0
},
{
"id": 653,
"status_id": 3,
"status_name": "Approved",
"document_id": 2,
"document_name": "address",
"collection_name": null,
"collection_id": null,
"value_field": "https://bucket-name.s3.us-east-1.amazonaws.com/path/to/file",
"rejection_reason": null,
"label": "Proof of residence",
"type_field": "file",
"required_field": true,
"expires_at": null,
"automaticatic_validation": 0
},
{
"id": 654,
"status_id": 3,
"status_name": "Approved",
"document_id": 3,
"document_name": "personal-document",
"collection_name": null,
"collection_id": null,
"value_field": "https://bucket-name.s3.us-east-1.amazonaws.com/path/to/file",
"rejection_reason": null,
"label": "Personal document",
"type_field": "file",
"required_field": true,
"expires_at": null,
"automaticatic_validation": 0
},
{
"id": 655,
"status_id": 3,
"status_name": "Approved",
"document_id": 5,
"document_name": "full-name-beneficiary",
"collection_name": null,
"collection_id": null,
"value_field": null,
"rejection_reason": null,
"label": "Beneficiary Full Name",
"type_field": "text",
"required_field": true,
"expires_at": null,
"automaticatic_validation": 0
},
{
"id": 656,
"status_id": 3,
"status_name": "Approved",
"document_id": 7,
"document_name": "email",
"collection_name": null,
"collection_id": null,
"value_field": null,
"rejection_reason": null,
"label": "Email",
"type_field": "text",
"required_field": true,
"expires_at": null,
"automaticatic_validation": 0
},
{
"id": 657,
"status_id": 3,
"status_name": "Approved",
"document_id": 8,
"document_name": "phone",
"collection_name": null,
"collection_id": null,
"value_field": null,
"rejection_reason": null,
"label": "Phone",
"type_field": "text",
"required_field": true,
"expires_at": null,
"automaticatic_validation": 0
},
{
"id": 658,
"status_id": 3,
"status_name": "Approved",
"document_id": 11,
"document_name": "nationality",
"collection_name": null,
"collection_id": null,
"value_field": null,
"rejection_reason": null,
"label": "Nationality",
"type_field": "text",
"required_field": true,
"expires_at": null,
"automaticatic_validation": 0
},
{
"id": 659,
"status_id": 3,
"status_name": "Approved",
"document_id": 9,
"document_name": "profession",
"collection_name": null,
"collection_id": null,
"value_field": null,
"rejection_reason": null,
"label": "Profession (Occupation)",
"type_field": "text",
"required_field": true,
"expires_at": null,
"automaticatic_validation": 0
}
]
}
{
"error": "KYC not found",
"message": "No KYC record found with the provided ID"
}
Related Resources
List KYC
List all KYC verifications
Get Balance
Check account balance
Create Charge
Create a new charge
Create Payment
Create a payout payment
Was this page helpful?

